﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ACA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_FINISHCOST_ENTRY') 
 CREATE TABLE T_ACA_FINISHCOST_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL,
FBASEUNIT BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
FOWNERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCALRANGEID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINVOUTSOURCETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_FINISHCOST_SONENTRY') 
 CREATE TABLE T_ACA_FINISHCOST_SONENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSUBMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FSUBBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBACTUALCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FINVOUTSOURCETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_FINISHCOSTTRANFER') 
 CREATE TABLE T_ACA_FINISHCOSTTRANFER (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT 'C' NOT NULL,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCALBILLTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FINVSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FLOCALCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBOOKDATE DATETIME,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FSOURCEVOUCHER CHAR(1) DEFAULT '0' NOT NULL,
FCREATVOUCHER CHAR(1) DEFAULT '0' NOT NULL,
FVOUCHERNUM NVARCHAR(255) DEFAULT ' ' NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ACA_table.sql **/
