﻿/**Begin D:\PDM_UPGRADE\PDM1\CAD_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_ACA_CHECKSETTING', 'T_ACA_CHECKSETTING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_TCHECKSETTING_ORG') CREATE INDEX IDX_ACA_TCHECKSETTING_ORG ON T_ACA_CHECKSETTING ( FORGID );


 EXEC P_ALTERPK 'PK_T_ACA_TERMINALWIPMATALLCO', 'T_ACA_TERMINALWIPMATALLCO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_TERWIPMATALL_OCPC') CREATE INDEX IDX_ACA_TERWIPMATALL_OCPC ON T_ACA_TERMINALWIPMATALLCO ( FORGID ,FCOSTACCOUNTID ,FCOSTCENTERID ,FPERIODID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_TERWIPMATALL_ENTRYID') CREATE INDEX IDX_ACA_TERWIPMATALL_ENTRYID ON T_ACA_TERMINALWIPMATALLCO ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_ACA_TERMINALWIPMATCHECK', 'T_ACA_TERMINALWIPMATCHECK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_TERWIPMAT_OCPC') CREATE INDEX IDX_ACA_TERWIPMAT_OCPC ON T_ACA_TERMINALWIPMATCHECK ( FORGID ,FCOSTACCOUNTID ,FCOSTCENTERID ,FPERIODID );


 EXEC P_ALTERPK 'PK_T_ACA_TERMINALWIPMATCHECK_L', 'T_ACA_TERMINALWIPMATCHECK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_TERMINALWIPMC_L') CREATE INDEX IDX_ACA_TERMINALWIPMC_L ON T_ACA_TERMINALWIPMATCHECK_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ACA_WIPMATCHECK_ENTRY', 'T_ACA_WIPMATCHECK_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WIPMATCHECK_ENTRY') CREATE INDEX IDX_WIPMATCHECK_ENTRY ON T_ACA_WIPMATCHECK_ENTRY ( FID );



/**End D:\PDM_UPGRADE\PDM1\CAD_constraint.sql **/
