/*------期末成本计算结果单------*/
/*第1页签增加分项子单据体*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_CALCRESULTSUBENTRY') 
 CREATE TABLE T_ACA_CALCRESULTSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSPDSTARTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPDSTARTADJAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPDCURRAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPDCOMAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPDENDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPDENDADJAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPDYEARSUMAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPDSUMAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPDSUMCOMAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSPDYEARCOMAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_T_ACA_CALCRESULTSUBENTRY', 'T_ACA_CALCRESULTSUBENTRY', 'FDETAILID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDK_ACA_CALCRESULTSUBENTRY') CREATE INDEX IDK_ACA_CALCRESULTSUBENTRY ON T_ACA_CALCRESULTSUBENTRY ( FENTRYID ,FSEQ );

/*第2页签增加结转类型字段*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ACA_CALCRESULTINVENTRY' AND KSQL_COL_NAME IN ('FCARRYTYPE'))
 ALTER TABLE T_ACA_CALCRESULTINVENTRY ADD (FCARRYTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );

/*------在产品成本调整单调整------*/
/*综合子项物料信息-增加子要素分项信息字段*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ACA_WIPADJUSTBILLDETAIL' AND KSQL_COL_NAME ='FSUBITEMJSON') 
 ALTER TABLE T_ACA_WIPADJUSTBILLDETAIL ADD (FSUBITEMJSON NVARCHAR(255) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ACA_WIPADJUSTBILLDETAIL' AND KSQL_COL_NAME ='FSUBITEMJSON_TAG') 
 ALTER TABLE T_ACA_WIPADJUSTBILLDETAIL  ADD (FSUBITEMJSON_TAG NCLOB );

/*增加分项成本信息单据体*/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_WIPADJUSTITEMENTRY') 
 CREATE TABLE T_ACA_WIPADJUSTITEMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSITEMELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSITEMSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FSITEMWIPAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSITEMADJAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSITEMAFTERADJAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSITEMADJUSTID BIGINT DEFAULT 0 NOT NULL,
FSITEMADJUSTBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSITEMOUTSOURCETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL
);

EXEC P_ALTERPK 'PK_T_ACA_WIPADJUSTITEMENTRY', 'T_ACA_WIPADJUSTITEMENTRY', 'FENTRYID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_WIPADJUSTITEMENTRY') 
 CREATE INDEX IDX_ACA_WIPADJUSTITEMENTRY ON T_ACA_WIPADJUSTITEMENTRY ( FID,FSEQ );