﻿/**Begin D:\PDM_UPGRADE\PDM1\ACA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_MFGPLANFEERATE')
CREATE TABLE T_ACA_MFGPLANFEERATE
(
    FID BIGINT DEFAULT 0 NOT NULL,
    FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
    FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FAUDITORID BIGINT DEFAULT 0 NOT NULL,
    FAUDITDATE DATETIME,
    FMODIFYTIME DATETIME,
    FCREATETIME DATETIME,
    FORGID BIGINT DEFAULT 0 NOT NULL,
    FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
    FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
    FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
    FCALCTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FEFFECTDATE DATETIME,
    FEXPDATE DATETIME,
    FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
    FEFFECTSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_MFGPLANFEERATE_L')
CREATE TABLE T_ACA_MFGPLANFEERATE_L
(
    FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
    FID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_MFGPLANFEERATEENTRY')
CREATE TABLE T_ACA_MFGPLANFEERATEENTRY
(
    FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ BIGINT DEFAULT 0 NOT NULL,
    FRESOURCEID BIGINT DEFAULT 0 NOT NULL,
    FRESOURCENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
    FUNITID BIGINT DEFAULT 0 NOT NULL,
    FMATERIALID BIGINT DEFAULT 0 NOT NULL,
    FMATERIALNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
    FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
    FEXPENSEITEMNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
    FELEMENTID BIGINT DEFAULT 0 NOT NULL,
    FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
    FRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_ATTMFGPLANFEEENTRY')
CREATE TABLE T_ACA_ATTMFGPLANFEEENTRY
(
    FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ BIGINT DEFAULT 0 NOT NULL,
    FATTELEMENTID BIGINT DEFAULT 0 NOT NULL,
    FATTSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
    FATTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_MFGPLANFEERESULT')
CREATE TABLE T_ACA_MFGPLANFEERESULT
(
    FID  BIGINT DEFAULT 0 NOT NULL,
    FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
    FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FAUDITORID BIGINT DEFAULT 0 NOT NULL,
    FAUDITDATE DATETIME,
    FMODIFYTIME DATETIME,
    FCREATETIME DATETIME,
    FELEMENTID BIGINT DEFAULT 0 NOT NULL,
    FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
    FORGID BIGINT DEFAULT 0 NOT NULL,
    FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
    FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
    FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL,
    FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
    FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
    FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FPLANRATEID BIGINT DEFAULT 0 NOT NULL,
    FCALCTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FSOURCEBILLNO VARCHAR(255) DEFAULT ' ' NOT NULL,
    FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
    FSYNCAUDITDATE DATETIME,
    FSOURCEBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
    FRESOURCEID BIGINT DEFAULT 0 NOT NULL,
    FPERIODID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_REALTIMECALCLOG')
CREATE TABLE T_ACA_REALTIMECALCLOG
(
    FID BIGINT DEFAULT 0 NOT NULL,
    FORGID BIGINT DEFAULT 0 NOT NULL,
    FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FPERIODID BIGINT DEFAULT 0 NOT NULL,
    FCALCTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FTRACEID VARCHAR(255) DEFAULT ' ' NOT NULL,
    FCREATETIME DATETIME,
    FCALCDATE DATETIME,
    FCNSMTIME VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCHECKDESC VARCHAR(2000) DEFAULT ' ' NOT NULL,
    FERRORINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
    FERRORINFO_TAG NCLOB DEFAULT ' ',
    FDEBUGINFO VARCHAR(255) DEFAULT ' ' NOT NULL,
    FDEBUGINFO_TAG NCLOB DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_RTCALCLOGENTRY')
CREATE TABLE T_ACA_RTCALCLOGENTRY
(
    FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ BIGINT DEFAULT 0 NOT NULL,
    FENTRYCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
    FENTRYCOSTCENTERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
    FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCHECKDETAIL VARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_RTCALCRESULT')
CREATE TABLE T_ACA_RTCALCRESULT
(
    FID BIGINT DEFAULT 0 NOT NULL,
    FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
    FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FAUDITORID BIGINT DEFAULT 0 NOT NULL,
    FAUDITDATE DATETIME,
    FMODIFYTIME DATETIME,
    FCREATETIME DATETIME,
    FORGID BIGINT DEFAULT 0 NOT NULL,
    FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
    FPERIODID BIGINT DEFAULT 0 NOT NULL,
    FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
    FBIZDATE DATETIME,
    FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
    FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_RTRESULTENTRY')
CREATE TABLE T_ACA_RTRESULTENTRY
(
    FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ BIGINT DEFAULT 0 NOT NULL,
    FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FRELACOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
    FRELAPRODUCTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FMATERIALID BIGINT DEFAULT 0 NOT NULL,
    FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
    FMATVERSIONID BIGINT DEFAULT 0 NOT NULL,
    FFEETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FOUTSOURCETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FELEMENTID BIGINT DEFAULT 0 NOT NULL,
    FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
    FSUBMATERIALID BIGINT DEFAULT 0 NOT NULL,
    FSUBMATVERSIONID BIGINT DEFAULT 0 NOT NULL,
    FSUBAUXPTY BIGINT DEFAULT 0 NOT NULL,
    FPDCURRQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FPDCURRAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FPDENDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FPDENDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FCURRCOMQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FCURRCOMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FSYNCAUDITDATE DATETIME,
    FSRCBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
    FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
    FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
    FRESOURCEID BIGINT DEFAULT 0 NOT NULL,
    FPDSTARTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FPDSTARTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_RTRESULTINVENTRY')
CREATE TABLE T_ACA_RTRESULTINVENTRY
(
    FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ BIGINT DEFAULT 0 NOT NULL,
    FCARRYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
    FSOURCEBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
    FINVCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
    FINVPRODUCTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FGROUPFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
    FGROUPCATEGORYID BIGINT DEFAULT 0 NOT NULL,
    FINVENTORYSUBELEID BIGINT DEFAULT 0 NOT NULL,
    FINVOUTSOURCETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FINVENTORYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FINVENTORYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_RTRESULTCONVENTRY')
CREATE TABLE T_ACA_RTRESULTCONVENTRY
(
    FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ BIGINT DEFAULT 0 NOT NULL,
    FCONVSRCBILLID BIGINT DEFAULT 0 NOT NULL,
    FCONVSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
    FCONVCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
    FCONVPRODUCTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCONVGROUPFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCONVGROUPCATEGORYID BIGINT DEFAULT 0 NOT NULL,
    FCONVELEMENTID BIGINT DEFAULT 0 NOT NULL,
    FCONVSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
    FCONVOUTSOURCETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCONVSUBMATID BIGINT DEFAULT 0 NOT NULL,
    FCONVSUBMATVERID BIGINT DEFAULT 0 NOT NULL,
    FCONVSUBAUXPTYID BIGINT DEFAULT 0 NOT NULL,
    FCONVPROQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FCONVQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FCONVAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_RTRESULTPLANENTRY')
CREATE TABLE T_ACA_RTRESULTPLANENTRY
(
    FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ BIGINT DEFAULT 0 NOT NULL,
    FPLANSRCBILLENTRY BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_REALTIMEPARAM')
CREATE TABLE T_ACA_REALTIMEPARAM
(
    FID BIGINT DEFAULT 0 NOT NULL,
    FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
    FORGID BIGINT DEFAULT 0 NOT NULL,
    FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FCREATETIME DATETIME,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FMODIFYTIME DATETIME,
    FAUDITORID BIGINT DEFAULT 0 NOT NULL,
    FAUDITDATE DATETIME,
    FCALCTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FMATCOSTCALCTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FMFGCOSTCALCTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCALCDEALTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FMATCOSTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_REALTIMEPARAM_L')
CREATE TABLE T_ACA_REALTIMEPARAM_L
(
    FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
    FID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL
);

/**End D:\PDM_UPGRADE\PDM1\ACA_table.sql **/
