﻿/**Begin D:\PDM_UPGRADE\PDM1\ACA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_EWIPENTER')
CREATE TABLE T_ACA_EWIPENTER (
	FID BIGINT DEFAULT 0 NOT NULL,
	FBILLNO VARCHAR(30) NOT NULL DEFAULT ' ',
	FBILLSTATUS VARCHAR(50) NOT NULL DEFAULT ' ',
	FCREATORID  BIGINT DEFAULT 0 NOT NULL,
	FMODIFIERID  BIGINT DEFAULT 0 NOT NULL,
	FAUDITORID  BIGINT DEFAULT 0 NOT NULL,
	FAUDITDATE DATETIME,
	FMODIFYTIME DATETIME,
	FCREATETIME DATETIME,
	FORGID  BIGINT DEFAULT 0 NOT NULL,
	FCOSTACCOUNTID  BIGINT DEFAULT 0 NOT NULL,
	FCOSTCENTERID  BIGINT DEFAULT 0 NOT NULL,
	FCOSTOBJECTID  BIGINT DEFAULT 0 NOT NULL,
	FCURRENCYID  BIGINT DEFAULT 0 NOT NULL,
	FASSIGNEDPRODUCTID  BIGINT DEFAULT 0 NOT NULL,
	FAUXPTYID  BIGINT DEFAULT 0 NOT NULL,
	FBASEUNIT  BIGINT DEFAULT 0 NOT NULL,
	FMANUORGID  BIGINT DEFAULT 0 NOT NULL,
	FSOURCE VARCHAR(50) NOT NULL DEFAULT ' ',
	FPERIODID  BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_EWIPENTER_L')
CREATE TABLE T_ACA_EWIPENTER_L (
	FPKID VARCHAR(36) NOT NULL,
	FID BIGINT DEFAULT 0 NOT NULL,
	FLOCALEID VARCHAR(10) NOT NULL DEFAULT '',
	FREMARK VARCHAR(255) NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_EWIPENTERENTRY')
CREATE TABLE T_ACA_EWIPENTERENTRY (
	FID BIGINT DEFAULT 0 NOT NULL,
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FELEMENTID  BIGINT DEFAULT 0 NOT NULL,
	FSUBELEMENTID  BIGINT DEFAULT 0 NOT NULL,
	FAMOUNT NUMERIC(23, 10) NULL,
	FOUTSOURCETYPE VARCHAR(50) NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_EWIPENTERSUBENTRY')
CREATE TABLE T_ACA_EWIPENTERSUBENTRY (
	FENTRYID BIGINT DEFAULT 0 NOT NULL,
	FDETAILID BIGINT DEFAULT 0 NOT NULL,
	FSEQ BIGINT DEFAULT 0 NOT NULL,
	FSUBMATERIELID  BIGINT DEFAULT 0 NOT NULL,
	FSUBQTY NUMERIC(23, 10) NULL,
	FSUBAMOUNT NUMERIC(23, 10) NULL,
	FAUXPTYID  BIGINT DEFAULT 0 NOT NULL,
	FMATVERSIONID  BIGINT DEFAULT 0 NOT NULL,
	FSUBBASEUNIT  BIGINT DEFAULT 0 NOT NULL
);
