﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ACA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ACA_PRODUCTINTOGROUP' AND KSQL_COL_NAME ='FCTRLSTRATEGY') 
 ALTER TABLE T_ACA_PRODUCTINTOGROUP ADD (FCTRLSTRATEGY VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ACA_PRODUCTINTOGROUP' AND KSQL_COL_NAME ='FCREATEORGID') 
 ALTER TABLE T_ACA_PRODUCTINTOGROUP ADD (FCREATEORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ACA_PRODUCTGROUPENTRY' AND KSQL_COL_NAME ='FMATERIALID') 
 ALTER TABLE T_ACA_PRODUCTGROUPENTRY ADD (FMATERIALID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_CALCRESULT') 
 CREATE TABLE T_ACA_CALCRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCALCREPORTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_CALCRESULTENTRY') 
 CREATE TABLE T_ACA_CALCRESULTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FMATVERSIONID BIGINT DEFAULT 0 NOT NULL,
FPDSTARTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPDSTARTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPDCURRQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPDCURRAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPDSUMQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPDSUMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPDENDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPDENDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRCOMQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRCOMUSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRCOMUNITCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRCOMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMCOMQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMCOMUSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMCOMUNITCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMCOMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSUBMATVERSIONID BIGINT DEFAULT 0 NOT NULL,
FSUBAUXPTY BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FFEETYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_CALCRESULTINVENTRY') 
 CREATE TABLE T_ACA_CALCRESULTINVENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVENTORYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVENTORYSUBELEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ACA_MFGFEECOLLC' AND KSQL_COL_NAME ='FSRCBILLID') 
 ALTER TABLE T_ACA_MFGFEECOLLC ADD (FSRCBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_CALCDETAILENTRY') 
 CREATE TABLE T_ACA_CALCDETAILENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FENTRYCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FCHECKDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_CALCREPORT') 
 CREATE TABLE T_ACA_CALCREPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FEXECUTOR BIGINT DEFAULT 0 NOT NULL,
FCALCDATE DATETIME,
FBILLTYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_CALCREPORTDETAIL') 
 CREATE TABLE T_ACA_CALCREPORTDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FCALCDATE DATETIME,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FCHECKDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_CALCREPORTENTRY') 
 CREATE TABLE T_ACA_CALCREPORTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FITEM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESULT VARCHAR(30) DEFAULT ' ' NOT NULL,
FCNSMTIME DATETIME,
FCHECKDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_CALCREPORTENTRY_L') 
 CREATE TABLE T_ACA_CALCREPORTENTRY_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(20) DEFAULT ' ' NOT NULL,
FRESULTDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARAM NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_ACA_FEEALLOCSUBENTRY' AND KSQL_COL_NAME ='FPRODUCTTYPEGROUP') 
 ALTER TABLE T_ACA_FEEALLOCSUBENTRY ADD (FPRODUCTTYPEGROUP VARCHAR(30) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ACA_table.sql **/
