﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ACA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_CALCPARAM') 
 CREATE TABLE T_ACA_CALCPARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT '0' NOT NULL,
FRETURNPRORULE NVARCHAR(60) DEFAULT ' ' NOT NULL,
FRETURNPROCOSTTYPEID BIGINT DEFAULT 0 NOT NULL,
FCOPRODUCTRULE NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCOPROCOSTTYPEID BIGINT DEFAULT 0 NOT NULL,
FENDWIPRULE NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_CALCPARAM_L') 
 CREATE TABLE T_ACA_CALCPARAM_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(20) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_WIPCOSTINIT') 
 CREATE TABLE T_ACA_WIPCOSTINIT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(60) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FCOSTACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCOSTOBJECTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FINITAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSIGNEDPRODUCTID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FBASEUNIT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_WIPCOSTINITENTRY') 
 CREATE TABLE T_ACA_WIPCOSTINITENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBELEMENTID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FELEMENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_WIPCOSTINITSUBENTRY') 
 CREATE TABLE T_ACA_WIPCOSTINITSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSUBBASEUNIT BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FMATVERSIONID BIGINT DEFAULT 0 NOT NULL,
FSUBMATERIELID BIGINT DEFAULT 0 NOT NULL,
FSUBQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUBAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_ACA_WIPCOSTINIT_L') 
 CREATE TABLE T_ACA_WIPCOSTINIT_L (
FPKID VARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(30) DEFAULT 'zh_CN' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ACA_table.sql **/
