﻿/**Begin D:\PDM_UPGRADE\PDM1\ACA_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_ACA_MFGPLANFEERATE', 'T_ACA_MFGPLANFEERATE', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDK_ACA_MFGPLANFEERATE_OC') CREATE INDEX IDK_ACA_MFGPLANFEERATE_OC ON T_ACA_MFGPLANFEERATE (FORGID,FCOSTACCOUNTID);

EXEC P_ALTERPK 'PK_T_ACA_MFGPLANFEERATE_L', 'T_ACA_MFGPLANFEERATE_L', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_MFGPLANFEERATE_L') CREATE INDEX IDX_ACA_MFGPLANFEERATE_L ON T_ACA_MFGPLANFEERATE_L ( FID ,FLOCALEID );

EXEC P_ALTERPK 'PK_T_ACA_MFGPLANFEERATEENTRY', 'T_ACA_MFGPLANFEERATEENTRY', 'FENTRYID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_MFGPLANFEERATEENTRY') CREATE INDEX IDX_ACA_MFGPLANFEERATEENTRY ON T_ACA_MFGPLANFEERATEENTRY (FID);

EXEC P_ALTERPK 'PK_T_ACA_ATTMFGPLANFEEENTRY', 'T_ACA_ATTMFGPLANFEEENTRY', 'FENTRYID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_ATTMFGPLANFEEENTRY') CREATE INDEX IDX_ACA_ATTMFGPLANFEEENTRY ON T_ACA_ATTMFGPLANFEEENTRY (FID);

EXEC P_ALTERPK 'PK_T_ACA_MFGPLANFEERESULT', 'T_ACA_MFGPLANFEERESULT', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDK_ACA_MFGPLANFEERESULT_OCP') CREATE INDEX IDK_ACA_MFGPLANFEERESULT_OCP ON T_ACA_MFGPLANFEERESULT (FORGID,FCOSTACCOUNTID,FPERIODID);
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDK_ACA_MFGPLANFEERESULT_COB') CREATE INDEX IDK_ACA_MFGPLANFEERESULT_COB ON T_ACA_MFGPLANFEERESULT (FCOSTOBJECTID);

EXEC P_ALTERPK 'PK_T_ACA_REALTIMECALCLOG', 'T_ACA_REALTIMECALCLOG', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDK_ACA_REALTIMECALCLOG_OCP') CREATE INDEX IDK_ACA_REALTIMECALCLOG_OCP ON T_ACA_REALTIMECALCLOG (FORGID,FCOSTACCOUNTID,FPERIODID);

EXEC P_ALTERPK 'PK_T_ACA_RTCALCLOGENTRY', 'T_ACA_RTCALCLOGENTRY', 'FENTRYID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_RTCALCLOGENTRY') CREATE INDEX IDX_ACA_RTCALCLOGENTRY ON T_ACA_RTCALCLOGENTRY (FID);

EXEC P_ALTERPK 'PK_T_ACA_RTCALCRESULT', 'T_ACA_RTCALCRESULT', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDK_ACA_RTCALCRESULT_OCP') CREATE INDEX IDK_ACA_RTCALCRESULT_OCP ON T_ACA_RTCALCRESULT (FORGID,FCOSTACCOUNTID,FPERIODID);
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDK_ACA_RTCALCRESULT_COB') CREATE INDEX IDK_ACA_RTCALCRESULT_COB ON T_ACA_RTCALCRESULT (FCOSTOBJECTID);
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDK_ACA_RTCALCRESULT_CENTER') CREATE INDEX IDK_ACA_RTCALCRESULT_CENTER ON T_ACA_RTCALCRESULT (FCOSTCENTERID);

EXEC P_ALTERPK 'PK_T_ACA_RTRESULTENTRY', 'T_ACA_RTRESULTENTRY', 'FENTRYID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_RTRESULTENTRY') CREATE INDEX IDX_ACA_RTRESULTENTRY ON T_ACA_RTRESULTENTRY (FID);

EXEC P_ALTERPK 'PK_T_ACA_RTRESULTINVENTRY', 'T_ACA_RTRESULTINVENTRY', 'FENTRYID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_RTRESULTINVENTRY') CREATE INDEX IDX_ACA_RTRESULTINVENTRY ON T_ACA_RTRESULTINVENTRY (FID);

EXEC P_ALTERPK 'PK_T_ACA_RTRESULTCONVENTRY', 'T_ACA_RTRESULTCONVENTRY', 'FENTRYID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_RTRESULTCONVENTRY') CREATE INDEX IDX_ACA_RTRESULTCONVENTRY ON T_ACA_RTRESULTCONVENTRY (FID);

EXEC P_ALTERPK 'PK_T_ACA_RTRESULTPLANENTRY', 'T_ACA_RTRESULTPLANENTRY', 'FENTRYID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_RTRESULTPLANENTRY') CREATE INDEX IDX_ACA_RTRESULTPLANENTRY ON T_ACA_RTRESULTPLANENTRY (FID);

EXEC P_ALTERPK 'PK_T_ACA_REALTIMEPARAM', 'T_ACA_REALTIMEPARAM', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDK_ACA_REALTIMEPARAM_ORG') CREATE INDEX IDK_ACA_REALTIMEPARAM_ORG ON T_ACA_REALTIMEPARAM (FORGID);

EXEC P_ALTERPK 'PK_T_ACA_REALTIMEPARAM_L', 'T_ACA_REALTIMEPARAM_L', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_REALTIMEPARAM_L') CREATE INDEX IDX_ACA_REALTIMEPARAM_L ON T_ACA_REALTIMEPARAM_L ( FID ,FLOCALEID );

/**End D:\PDM_UPGRADE\PDM1\ACA_constraint.sql **/
