﻿/**Begin D:\PDM_UPGRADE\PDM1\CAD_constraint.sql **/
EXEC P_ALTERPK 'PK_ACA_EWIPENTER', 'T_ACA_EWIPENTER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_EWIPENTER') CREATE INDEX IDX_ACA_EWIPENTER ON T_ACA_EWIPENTER (FORGID, FCOSTCENTERID);

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EWIPCOSTI_COSTA') CREATE INDEX IDX_EWIPCOSTI_COSTA ON T_ACA_EWIPENTER (FCOSTACCOUNTID);

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EWIPCOSTI_COSTC') CREATE INDEX IDX_EWIPCOSTI_COSTC ON T_ACA_EWIPENTER (FCOSTCENTERID);

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EWIPCOSTI_COSTOBJ') CREATE INDEX IDX_EWIPCOSTI_COSTOBJ ON T_ACA_EWIPENTER (FCOSTOBJECTID);

EXEC P_ALTERPK 'PK_ACA_EWIPENTER_L', 'T_ACA_EWIPENTER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_EWIPENTER_L') CREATE INDEX IDX_ACA_EWIPENTER_L ON T_ACA_EWIPENTER_L (FID, FLOCALEID);

EXEC P_ALTERPK 'PK_ACA_EWIPENTERENTRY', 'T_ACA_EWIPENTERENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_EWIPENTERENTRY') CREATE INDEX IDX_ACA_EWIPENTERENTRY ON T_ACA_EWIPENTERENTRY (FID, FSUBELEMENTID);

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_EWIPENTERENTRY_FK') CREATE INDEX IDX_ACA_EWIPENTERENTRY_FK ON T_ACA_EWIPENTERENTRY (FID);

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EWIPCOIEN_SUBE') CREATE INDEX IDX_EWIPCOIEN_SUBE ON T_ACA_EWIPENTERENTRY (FSUBELEMENTID);

EXEC P_ALTERPK 'PK_ACA_EWIPENTERSUBENTRY', 'T_ACA_EWIPENTERSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_EWIPENTERSUBENTRY_FK') CREATE INDEX IDX_ACA_EWIPENTERSUBENTRY_FK ON T_ACA_EWIPENTERSUBENTRY (FENTRYID);

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_EWIPENTERSUBENTRY') CREATE INDEX IDX_ACA_EWIPENTERSUBENTRY ON T_ACA_EWIPENTERSUBENTRY (FSUBMATERIELID, FSUBAMOUNT);

/**End D:\PDM_UPGRADE\PDM1\CAD_constraint.sql **/
