﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ACA_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_ACA_MFGFEECOLLC', 'T_ACA_MFGFEECOLLC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_MFGFEECOLLC') CREATE INDEX IDX_ACA_MFGFEECOLLC ON T_ACA_MFGFEECOLLC ( FORGID ,FCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_ACA_MFGALLOCRECORD', 'T_ACA_MFGALLOCRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_MFGALLOCRECORD') CREATE INDEX IDX_ACA_MFGALLOCRECORD ON T_ACA_MFGALLOCRECORD ( FORGID );


 EXEC P_ALTERPK 'PK_T_ACA_MFGALLOCRECORDENTRY', 'T_ACA_MFGALLOCRECORDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_MFGALLOCRECORDENTRY') CREATE INDEX IDX_ACA_MFGALLOCRECORDENTRY ON T_ACA_MFGALLOCRECORDENTRY ( FID ,FBENEFITCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_ACA_MFGALLOCRECORDSUB', 'T_ACA_MFGALLOCRECORDSUB', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_MFGALLOCRECORDSUB') CREATE INDEX IDX_ACA_MFGALLOCRECORDSUB ON T_ACA_MFGALLOCRECORDSUB ( FENTRYID ,FBENEFITCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_ACA_MFGFEEALLOCSTD', 'T_ACA_MFGFEEALLOCSTD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_MFGFEEALLOCSTD') CREATE INDEX IDX_ACA_MFGFEEALLOCSTD ON T_ACA_MFGFEEALLOCSTD ( FORGID ,FCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_ACA_MFGFEEALLOCSTD_L', 'T_ACA_MFGFEEALLOCSTD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_MFGFEEALLOCSTD_L') CREATE INDEX IDX_ACA_MFGFEEALLOCSTD_L ON T_ACA_MFGFEEALLOCSTD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ACA_MFGFEEALLOCSTDENTRY', 'T_ACA_MFGFEEALLOCSTDENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_MFGFEEALLOCSTDENTRY') CREATE  CLUSTERED INDEX IDX_ACA_MFGFEEALLOCSTDENTRY ON T_ACA_MFGFEEALLOCSTDENTRY ( FID ,FCOSTDRIVERID ,FEXPENSEITEMID );


 EXEC P_ALTERPK 'PK_T_ACA_MFGFEEALLOCSTDSUBEN', 'T_ACA_MFGFEEALLOCSTDSUBEN', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_MFGFEEALLOCSTDSUBEN') CREATE INDEX IDX_ACA_MFGFEEALLOCSTDSUBEN ON T_ACA_MFGFEEALLOCSTDSUBEN ( FENTRYID ,FBENEFCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_ACA_MFGFEECOLLC_L', 'T_ACA_MFGFEECOLLC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_MFGFEECOLLC_L') CREATE INDEX IDX_ACA_MFGFEECOLLC_L ON T_ACA_MFGFEECOLLC_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ACA_MFGFEECOLLCENTRY', 'T_ACA_MFGFEECOLLCENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_MFGFEECOLLCENTRY') CREATE INDEX IDX_ACA_MFGFEECOLLCENTRY ON T_ACA_MFGFEECOLLCENTRY ( FID ,FSUBELEMENTID );


 EXEC P_ALTERPK 'PK_T_ACA_FEEALLOCSUBENTRY', 'T_ACA_FEEALLOCSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_FEEALLOCSUBENTRY') CREATE INDEX IDX_ACA_FEEALLOCSUBENTRY ON T_ACA_FEEALLOCSUBENTRY ( FENTRYID ,FCOSTOBJECTGROUPID );


 EXEC P_ALTERPK 'PK_T_ACA_MFGFEEALLOCCC', 'T_ACA_MFGFEEALLOCCC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_MFGFEEALLOCCC') CREATE INDEX IDX_ACA_MFGFEEALLOCCC ON T_ACA_MFGFEEALLOCCC ( FORGID ,FCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_ACA_MFGFEEALLOCCC_L', 'T_ACA_MFGFEEALLOCCC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_MFGFEEALLOCCC_L') CREATE INDEX IDX_ACA_MFGFEEALLOCCC_L ON T_ACA_MFGFEEALLOCCC_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ACA_MFGFEEALLOCCCENTRY', 'T_ACA_MFGFEEALLOCCCENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_MFGFEEALLOCCCENTRY') CREATE INDEX IDX_ACA_MFGFEEALLOCCCENTRY ON T_ACA_MFGFEEALLOCCCENTRY ( FID ,FSUBELEMENTID );


 EXEC P_ALTERPK 'PK_T_ACA_MFGFEEALLOCCO', 'T_ACA_MFGFEEALLOCCO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_MFGFEEALLOCCO') CREATE INDEX IDX_ACA_MFGFEEALLOCCO ON T_ACA_MFGFEEALLOCCO ( FORGID ,FBENEFCOSTCENTERID );


 EXEC P_ALTERPK 'PK_T_ACA_MFGFEEALLOCCO_L', 'T_ACA_MFGFEEALLOCCO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_MFGFEEALLOCCO_L') CREATE INDEX IDX_ACA_MFGFEEALLOCCO_L ON T_ACA_MFGFEEALLOCCO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_ACA_MFGFEEALLOCCOENTRY', 'T_ACA_MFGFEEALLOCCOENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_MFGFEEALLOCCOENTRY') CREATE INDEX IDX_ACA_MFGFEEALLOCCOENTRY ON T_ACA_MFGFEEALLOCCOENTRY ( FID ,FCOSTOBJECTID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ACA_constraint.sql **/
