﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ACA_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_ACA_CALCRESULT', 'T_ACA_CALCRESULT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_CALCRESULT') CREATE INDEX IDX_ACA_CALCRESULT ON T_ACA_CALCRESULT ( FCREATETIME ,FCOSTACCOUNTID );


 EXEC P_ALTERPK 'PK_T_ACA_CALCRESULTENTRY', 'T_ACA_CALCRESULTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_CALCRESULTENTRY') CREATE INDEX IDX_ACA_CALCRESULTENTRY ON T_ACA_CALCRESULTENTRY ( FSUBELEMENTID ,FMATERIALID );


 EXEC P_ALTERPK 'PK_T_ACA_CALCRESULTINVENTRY', 'T_ACA_CALCRESULTINVENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_CALCRESULTINVENTRY') CREATE INDEX IDX_ACA_CALCRESULTINVENTRY ON T_ACA_CALCRESULTINVENTRY ( FID ,FINVENTORYSUBELEID );


 EXEC P_ALTERPK 'PK_T_ACA_CALCDETAILENTRY', 'T_ACA_CALCDETAILENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_CALCDETAILENTRY') CREATE INDEX IDX_ACA_CALCDETAILENTRY ON T_ACA_CALCDETAILENTRY ( FID ,FENTRYCOSTCENTERID ,FCHECKDETAIL );


 EXEC P_ALTERPK 'PK_T_ACA_CALCREPORT', 'T_ACA_CALCREPORT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_CALCREPORT') CREATE INDEX IDX_ACA_CALCREPORT ON T_ACA_CALCREPORT ( FORGID ,FCOSTACCOUNTID );


 EXEC P_ALTERPK 'PK_T_ACA_CALCREPORTDETAIL', 'T_ACA_CALCREPORTDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_CALCREPORTDETAIL') CREATE INDEX IDX_ACA_CALCREPORTDETAIL ON T_ACA_CALCREPORTDETAIL ( FCOSTACCOUNTID ,FCHECKDESC );


 EXEC P_ALTERPK 'PK_T_ACA_CALCREPORTENTRY', 'T_ACA_CALCREPORTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_CALCREPORTENTRY') CREATE INDEX IDX_ACA_CALCREPORTENTRY ON T_ACA_CALCREPORTENTRY ( FID ,FSEQ ,FCHECKDESC );


 EXEC P_ALTERPK 'PK_T_ACA_CALCREPORTENTRY_L', 'T_ACA_CALCREPORTENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ACA_CALCREPORTENTRY_L') CREATE INDEX IDX_ACA_CALCREPORTENTRY_L ON T_ACA_CALCREPORTENTRY_L ( FENTRYID ,FLOCALEID ,FPARAM );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\ACA_constraint.sql **/
